<!DOCTYPE html>
<html>
<head>
<meta charset=utf-8>
<!--
	SVG Robot Finger
	(c) 2015 Scriptol.com - MIT License  
	-->
<script src="code/scriptolbrowser.js"></script>
<style>
body {
	margin:32px;
}
#anim {
	background:white;
	border:1px solid #ccc;
	box-shadow: 6px 6px 8px #ccc;
	margin:16px;
}	
fieldset {
	margin:16px;
	width:600px;
	padding:8px;
}
</style>
</head>

<body>
<h1>SVG Finger</h1>

<div style="display:none">
  <iframe id="ifinger" width="600" height="400" src="code/finger.svg"></iframe>
</div>

<svg id="anim" width="600" height="400">
</svg>

<scriptol>
</scriptol>

<script>
var ifinger;
var one;
var two;
var three;

function start()
{
  var anim = document.getElementById("anim");
  var ifr = document.getElementById("ifinger");
  var graphics = ifr.contentWindow || ifr.contentDocument;
  ifinger = graphics.document.getElementById("finger");
  ifinger.setAttribute("transform", "translate(50, 50)");
  anim.appendChild(ifinger);
  one = document.getElementById("one");
  two = document.getElementById("onetwo");
}

function slant() {
	ifinger.setAttribute("transform", "translate(50, 50) rotate(-40,500,0)");
}
function unslant() {
	ifinger.setAttribute("transform", "translate(50, 50)");
}
function slantOne() {
	one.setAttribute("transform", "rotate(-40, 160, 0)")
}
function slantTwo() {
	two.setAttribute("transform", " rotate(-40, 320, 0)")
}
function restart() {
	ifinger.setAttribute("transform", "translate(50, 50)");
	one.setAttribute("transform", "rotate(0, 0, 0)");	
	two.setAttribute("transform", "rotate(0, 0, 0)");	
}

window.onload=start;

</script>

<fieldset>
<input type="button" value="Slant" onclick="slant()" >
<input type="button" value="Unslant" onclick="unslant()" >
<input type="button" value="One" onclick="slantOne()" >
<input type="button" value="Two" onclick="slantTwo()" >
<input type="button" value="Reset" onclick="restart()" >

</fieldset>

</body>
</html>